[Swift-commit] r8264 - SwiftApps/subjobs
ketan at ci.uchicago.edu
ketan at ci.uchicago.edu
Mon Oct 6 11:17:31 CDT 2014
Author: ketan
Date: 2014-10-06 11:17:31 -0500 (Mon, 06 Oct 2014)
New Revision: 8264
Modified:
SwiftApps/subjobs/README.txt
SwiftApps/subjobs/bg.sh
Log:
test non-subblock mode
Modified: SwiftApps/subjobs/README.txt
===================================================================
--- SwiftApps/subjobs/README.txt 2014-10-06 15:59:39 UTC (rev 8263)
+++ SwiftApps/subjobs/README.txt 2014-10-06 16:17:31 UTC (rev 8264)
@@ -100,7 +100,11 @@
----
Of note are the +SUBBLOCK_SIZE+ and the +mode+ properties which must be present
-in the sites definition.
+in the sites definition. The former defines the size of the subblock needed and
+the latter specifies that the "mode" to run the outer cobalt job woul be in
++script+ mode. In this particular example, we have the outer block size to be
+256 nodes where as the subblock size is 16 nodes. This results in a total of 16
+subblocks resulting in +jobsPerNode+ value to be 16.
Sub-block limitations
----------------------
Modified: SwiftApps/subjobs/bg.sh
===================================================================
--- SwiftApps/subjobs/bg.sh 2014-10-06 15:59:39 UTC (rev 8263)
+++ SwiftApps/subjobs/bg.sh 2014-10-06 16:17:31 UTC (rev 8264)
@@ -20,32 +20,37 @@
;;
512) SHAPE="4x4x4x4x2"
;;
-*) SHAPE="2x2x2x2x2"
- REMAINING_ARGS="$@"
+*) echo "SUBBLOCK_SIZE not set or incorrectly set: will not use subblock jobs"
;;
esac
-export SWIFT_SUBBLOCKS=$(get-corners.py "$COBALT_PARTNAME" $SHAPE)
-export SWIFT_SUBBLOCK_ARRAY=($SWIFT_SUBBLOCKS)
-#echo "$0": SWIFT_SUBBLOCKS="$SWIFT_SUBBLOCKS"
+if [ "$SUBBLOCK_SIZE"_ != "_" ] then
-if [ "_$SWIFT_SUBBLOCKS" = _ ]; then
- echo ERROR: "$0": SWIFT_SUBBLOCKS is null.
- exit 1
+ export SWIFT_SUBBLOCKS=$(get-corners.py "$COBALT_PARTNAME" $SHAPE)
+ export SWIFT_SUBBLOCK_ARRAY=($SWIFT_SUBBLOCKS)
+
+ #echo "$0": SWIFT_SUBBLOCKS="$SWIFT_SUBBLOCKS"
+
+ if [ "_$SWIFT_SUBBLOCKS" = _ ]; then
+ echo ERROR: "$0": SWIFT_SUBBLOCKS is null.
+ exit 1
+ fi
+
+ nsb=${#SWIFT_SUBBLOCK_ARRAY[@]}
+
+ CORNER=${SWIFT_SUBBLOCK_ARRAY[$SWIFT_JOB_SLOT]}
+
+ echo "$0": running BLOCK="$COBALT_PARTNAME" SLOT="$SWIFT_JOB_SLOT"
+ echo "$0": running cmd: "$0" args: "$@"
+ echo "$0": running runjob --block "$COBALT_PARTNAME" --corner "$CORNER" --shape "$SHAPE" --ranks-per-node 1 : "$REMAINING_ARGS"
+
+ #without timeout
+ runjob --strace 0 --block "$COBALT_PARTNAME" --corner "$CORNER" --shape "$SHAPE" -p 1 --np "$SUBBLOCK_SIZE" : "$@"
+
+ echo "Runjob finished."
+else
+ echo "Running in nonsubblock mode."
fi
-
-nsb=${#SWIFT_SUBBLOCK_ARRAY[@]}
-
-CORNER=${SWIFT_SUBBLOCK_ARRAY[$SWIFT_JOB_SLOT]}
-
-echo "$0": running BLOCK="$COBALT_PARTNAME" SLOT="$SWIFT_JOB_SLOT"
-echo "$0": running cmd: "$0" args: "$@"
-echo "$0": running runjob --block "$COBALT_PARTNAME" --corner "$CORNER" --shape "$SHAPE" --ranks-per-node 1 : "$REMAINING_ARGS"
-
-#without timeout
-runjob --strace 0 --block "$COBALT_PARTNAME" --corner "$CORNER" --shape "$SHAPE" -p 1 --np "$SUBBLOCK_SIZE" : "$@"
-
-echo "Runjob finished."
exit 0
More information about the Swift-commit
mailing list